package com.dcsoft.system.kq.mapper;

import java.util.List;

import com.dcsoft.system.kq.domain.KqGather;

/**
 * 考勤汇总Mapper接口
 *
 * @author dcsoft
 * @date 2023-06-12
 */
public interface KqGatherMapper
{
    /**
     * 查询考勤汇总
     *
     * @param id 考勤汇总主键
     * @return 考勤汇总
     */
    public KqGather selectKqGatherById(Long id);

    /**
     * 查询考勤汇总列表
     *
     * @param kqGather 考勤汇总
     * @return 考勤汇总集合
     */
    public List<KqGather> selectKqGatherList(KqGather kqGather);

    /**
     * 新增考勤汇总
     *
     * @param kqGather 考勤汇总
     * @return 结果
     */
    public int insertKqGather(KqGather kqGather);

    /**
     * 修改考勤汇总
     *
     * @param kqGather 考勤汇总
     * @return 结果
     */
    public int updateKqGather(KqGather kqGather);

    /**
     * 删除考勤汇总
     *
     * @param id 考勤汇总主键
     * @return 结果
     */
    public int deleteKqGatherById(Long id);

    /**
     * 批量删除考勤汇总
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKqGatherByIds(Long[] ids);

    public int deleteKqGatherByKqGather(KqGather kqGather);

    public KqGather selectKqGatherByGather(KqGather gather);

    /**
     * 新增考勤数据
     * @param list
     */
    void saveAskForLeave(List<KqGather> list);

    /**
     * 修改请假人员信息
     */
    void updateGathe(KqGather kqGather);
}
